Zum Inhalt springen

MediaWiki:Common.css: Unterschied zwischen den Versionen

Aus ibKastl Wiki
Keine Bearbeitungszusammenfassung
Keine Bearbeitungszusammenfassung
Zeile 134: Zeile 134:


.container.c {
.container.c {
background-color: #e5f4ea;
background-color: #c9e8d4;
/*#c9e9d4;*/
/*#c9e9d4;*/
}
}

Version vom 17. Juni 2025, 11:46 Uhr

/* Hide full-width toggle button in Vector 2022 */
/*
.vector-settings {
  display: none !important;
}
*/

/* Logo */
.mw-logo-icon {
	margin-left: 15px;
}

/*Abstand Menüpunkte verkleinert*/
.vector-pinnable-element .mw-list-item a, .vector-dropdown-content .mw-list-item a {
	padding: 3px 0;
}

/* Umschalten zum bisherigen Aussehen ausblenden */
div.vector-main-menu-action {
display: none;
}

/* Hilfe auf Kategorie-Seiten ausblenden */
div#mw-indicator-mw-helplink.mw-indicator {
display: none;
}

/* Inhaltsverzeichnis rechts */
div.float-right, table.float-right, ul.float-right, .float-right {
    clear: right;
    float: right;
    margin: 1em 0 1em 1em;
    display: block;
}

/* Colapse */
.mw-collapsible-toggle {
    float: none !important;
    display: inline-block !important;
}

/* Tabelle */
.wikitable {
    border-collapse: collapse;
    width: auto;
}

.wikitable td, .wikitable.customers th {
    border: 1px solid #ddd;
    padding: 8px;
}

.wikitable tr:nth-child(even){background-color: rgba(232, 232, 232, 0.4);}

.wikitable tr:hover {background-color: #ddd;}

.wikitable th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: rgba(163, 193, 221, 0.4) !important;
    color: black;
}

.wikitable.standard td {
    text-align: left;
    vertical-align: top;
}

.wikitable.green th {
    background-color: #B3CBAB !important;
}

.wikitable.yellow th {
    background-color: #FFFFD6 !important;
}

.wikitable.red th {
    background-color: #FFE5E5 !important;
}

/* Überschriften */
.vector-sticky-header-context-bar-primary {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h1 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h2 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h3 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h4 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h5 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}
h6 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

/* Texte */
.mw-body h1 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

.mw-body h2 {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

mw-headline {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

html, body {
font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
}

/* Klassen für Container und FlexBox */

.container {
border: 1px solid #ffffff;
margin: 8px 4px 8px 4px;  
padding: 10px 10px 10px 10px; 
/*-moz-border-radius: 10px; 
-webkit-border-radius: 10px; 
border-radius:10px;
margin-bottom: 0px; 
padding-top: 0px;*/
}

.container.c {
background-color: #c9e8d4;
/*#c9e9d4;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.c {
    background-color: #29623c;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.c {
    background-color: #29623c;
  }
}

.container.ibkastl {
  background-color: #f8f9fa;
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.ibkastl {
    background-color: #242b33;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.ibkastl {
    background-color: #242b33;
  }
}

.container.white {
background-color: rgb(255, 255, 255);
}

.container.eplan {
background-color: #ffe9f1;
/*#ffd4dc;*/
/*#ffd4e0;*/
/*#ffcedb;*/
/*#ffe1e9;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.eplan {
    background-color: #48172e;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.eplan {
    background-color: #48172e;
  }
}


.container.knowledge {
background-color: #eee8f3;
}

.container.md3 {
background-color: #e1f7fb;
/*#d0f3f9;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.md3 {
    background-color: #0c4f5c;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.md3 {
    background-color: #116d7f;
  }
}

.container.mediawiki { 
background-color: #f3f5f7;
/*#e4e8ed;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.mediawiki {
    background-color: #47586a;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.mediawiki {
    background-color: #47586a;
  }
}

.container.standard {
background-color: #e3effa;
/*#c2dbf4;*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.standard {
    background-color: #0f3353;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.standard {
    background-color: #0f3353;
  }
}

.container.bosch {
background-color: #cdede2;
/*#ccece2*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.bosch {
    background-color: #4e615a;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.bosch {
    background-color: #4e615a;
  }
}

.container.boschfile {
background-color: #fff6cd;
/*#fff6cd*/
}
/* Forced night mode (user setting) */
@media screen {
  html.skin-theme-clientpref-night .container.boschfile {
    background-color: #7e6700;
  }
}
/* Auto night mode (OS preference) */
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .container.boschfile {
    background-color: #7e6700;
  }
}

.flex{
display:-webkit-flex;
display:-ms-flexbox; /* IE 10 */
display:flex;

-webkit-flex-wrap:wrap;
-ms-flex-wrap:wrap; /* IE 10 */
flex-wrap:wrap;

-webkit-justify-content:space-around;
-ms-flex-pack:justify; /* IE 10 */
justify-content:space-around;

}

.flex.end{
-webkit-align-items:flex-end;
-ms-flex-align: end; /* IE 10 */
align-items:flex-end;

-webkit-align-content:flex-end;
-ms-flex-line-pack:end; /* IE 10 */
align-content:flex-end;

}

.flex.start{
-webkit-align-items:flex-start;
-ms-flex-align:start; /* IE 10 */
align-items:flex-start;

-webkit-align-content:flex-start;
-ms-flex-line-pack:start; /* IE 10 */
align-content:flex-start;
}